Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package util
  Definition Classes
    nsc
- CharArrayReader
- CharArrayReaderData
- ClassPath
- ClassRepresentation
- DirectoryClassPath
- DocStrings
- EditDistance
- EmptyAction
- Exceptional
- FailedInterrupt
- InterruptReq
- JavaCharArrayReader
- JavaClassPath
- MergedClassPath
- ShowPickled
- SimpleTracer
- StackTraceOps
- StringUtil
- WorkScheduler

c

scala.tools.nsc.util

# WorkScheduler

###

#### class WorkScheduler extends AnyRef

Source
  WorkScheduler.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
NoWorkScheduler
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WorkScheduler
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new WorkScheduler()

### Type Members

1.  type Action = () => Unit

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from WorkScheduler toany2stringadd[WorkScheduler] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (WorkScheduler, B)
   Implicit
     This member is added by an implicit conversion from WorkScheduler toArrowAssoc[WorkScheduler] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def askDoQuickly[A](op: () => A): InterruptReq { type R = A }
8.  def cancelQueued(): Unit

   Called from client: cancel all queued actions

9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  def dequeueAll[T](f: (Action) => Option[T]): Seq[T]
11.  def dequeueAllInterrupts(f: (InterruptReq) => Unit): Unit
12.  def doQuickly[A](op: () => A): A

    Called from client: have interrupt executed by server and return result

13.  def ensuring(cond: (WorkScheduler) => Boolean, msg: => Any): WorkScheduler
    Implicit
      This member is added by an implicit conversion from WorkScheduler toEnsuring[WorkScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (WorkScheduler) => Boolean): WorkScheduler
    Implicit
      This member is added by an implicit conversion from WorkScheduler toEnsuring[WorkScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: => Any): WorkScheduler
    Implicit
      This member is added by an implicit conversion from WorkScheduler toEnsuring[WorkScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): WorkScheduler
    Implicit
      This member is added by an implicit conversion from WorkScheduler toEnsuring[WorkScheduler] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from WorkScheduler toStringFormat[WorkScheduler] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  def moreWork: Boolean

    called from Server: test whether one of todo list, throwables, or InterruptReqs is nonempty

25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  def nextWorkItem(): Option[Action]

    Called from server: get first action in todo list, and pop it off

27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  def pollInterrupt(): Option[InterruptReq]
30.  def pollThrowable(): Option[Throwable]

    Called from server: return optional exception posted by client Reset to no exception.

31.  def postWorkItem(action: Action): Unit

    Called from client: have action executed by server

32.  def raise(exc: Throwable): Unit

    Called from client: Require an exception to be thrown on next poll.

33.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
38.  def waitForMoreWork(): Unit

    Called from server: block until one of todo list, throwables or interruptReqs is nonempty

### Deprecated Value Members

1.  def →[B](y: B): (WorkScheduler, B)
   Implicit
     This member is added by an implicit conversion from WorkScheduler toArrowAssoc[WorkScheduler] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromWorkScheduler to any2stringadd[WorkScheduler]

### Inherited by implicit conversion StringFormat fromWorkScheduler to StringFormat[WorkScheduler]

### Inherited by implicit conversion Ensuring fromWorkScheduler to Ensuring[WorkScheduler]

### Inherited by implicit conversion ArrowAssoc fromWorkScheduler to ArrowAssoc[WorkScheduler]

### Ungrouped